import { Outlet, useLocation } from "react-router";
import { useDomain } from "@/hook/useDomain";
import { useMenu } from "./Menu";
import "./index.less";
interface LayoutProps {
  children?: JSX.Element;
}

export const Layout = (props: LayoutProps) => {
  const location = useLocation();
  const { userDomainService } = useDomain();
  const { RoleMenu } = useMenu();

  return (
    <div className="layout-container">
      <header> {location.pathname}</header>
      <div>
        <aside>
          <RoleMenu domainService={userDomainService} />
        </aside>
        <main>
          <Outlet />
        </main>
      </div>
    </div>
  );
};
